using System;
using System.Collections.Generic;
using System.Text;

namespace VareConsoleApplicationIkkeRemote
{
    class Program
    {
        static void Main(string[] args)
        {
            // lav instans af vare
            InterfaceLibrary.IVare enVare = new ModelLibrary.Vare();

            // brug instans af vare

            enVare.Betegnelse = "Sm";
            enVare.SalgsEnhedsPris = 2;
            
            enVare.RegistrerVarerIndkbt(1000,20080911,1.5f);
            enVare.RegistrerVarerSolgt(300,20080911,2.1f);
            Console.WriteLine(enVare.ToString());
            Console.WriteLine("salgsvrdi:" + enVare.Salgsvrdi());

            enVare.RegistrerVarerIndkbt(100,20080912,1.6f);
            enVare.RegistrerVarerSolgt(5,20080912,2.5f);
            Console.WriteLine(enVare.ToString());
            Console.WriteLine("salgsvrdi:" + enVare.Salgsvrdi());

            Console.WriteLine("----------------------------------------------");
            Console.WriteLine("Bevgelser");
            InterfaceLibrary.IVarebevaegelse[] enVaresBevgelser = enVare.GetBevgelser();
            foreach (InterfaceLibrary.IVarebevaegelse enBevgelse in enVaresBevgelser)
            {
                Console.WriteLine(enBevgelse.ToString());
            }


            Console.ReadLine();
        }
    }
}
